Story # 41101 (New): As user, I want a well-working content editing (Bugfix Story)

Status: Under Review Priority: Must have
Author: Karsten Dambekalns Category:
Created: 2012-10-19 Assigned To: Karsten Dambekalns
Updated: 2013-08-06 Due date:
Subject: Image processing instructions cannot be stored on PostgreSQL
Description

With PostgreSQL the storing of processing instructions fails. The serialized data contains NUL bytes and so data is truncated in the
PDO layer when using PostgreSQL.

Two possible ways:

    1. escape the NUL byte
    2. use a BLOB field

History
#1 - 2012-10-19 10:47 - Karsten Dambekalns

See the issue covering the Doctrine bug: http://www.doctrine-project.org/jira/browse/DBAL-368

#2 - 2012-10-19 13:58 - Karsten Dambekalns

A fix for what I consider the underlying bug in Doctrine DBAL is available at https://github.com/doctrine/dbal/pull/219

#3 - 2013-08-05 17:59 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22825

#4 - 2013-08-06 15:29 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22825

#5 - 2013-08-06 16:22 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22825
